Fedora packages can't be installed

Generic issues not specifically related to a QLC+ area.
Post here only if you can't really find the reason of an issue
Post Reply
cmuellner
Posts: 4
Joined: Thu Nov 02, 2017 6:55 pm
Real Name:

Fedora packages can't be installed

Post by cmuellner » Wed Nov 29, 2017 10:27 pm

The Fedora packages from the automated build system can't be installed via dnf.
The reason is, that the ola package depends on libprotobuf.so.9, which is
outdated and not shipped in this version anymore in Fedora 27.

Steps to Reproduce:

$ sudo dnf install ola
Last metadata expiration check: 0:23:27 ago on Wed 29 Nov 2017 10:35:42 PM CET.
Error:
Problem: conflicting requests
- nothing provides libprotobuf.so.9()(64bit) needed by ola-0.10.5-7.1.x86_64

$ sudo dnf install qlcplus-qt5-olaplugin
Last metadata expiration check: 0:24:08 ago on Wed 29 Nov 2017 10:35:42 PM CET.
Error:
Problem: package qlcplus-qt5-olaplugin-4.11.1-3.1.x86_64 requires ola, but none of the providers can be installed
- conflicting requests
- nothing provides libprotobuf.so.9()(64bit) needed by ola-0.10.5-7.1.x86_64

Fedora 27 provides libprotobuf in version 13.0.1:

$ ls /lib64/libprotobuf*
/lib64/libprotobuf-lite.so.13 /lib64/libprotobuf.so /lib64/libprotobuf.so.13.0.1
/lib64/libprotobuf-lite.so.13.0.1 /lib64/libprotobuf.so.13

Please trigger a rebuild of the packages for a more recent Fedora release.

User avatar
mcallegari
Posts: 2005
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Fedora packages can't be installed

Post by mcallegari » Thu Nov 30, 2017 8:43 am

Question: is there a Fedora 27 package on OBS ?
Answer: no
Solution: build from sources or write to the OLA guys (see this: https://github.com/OpenLightingProject/ola/issues/1192)

cmuellner
Posts: 4
Joined: Thu Nov 02, 2017 6:55 pm
Real Name:

Re: Fedora packages can't be installed

Post by cmuellner » Fri Dec 01, 2017 10:58 pm

Oh, come on. We are developers! We can fix all compilation issues! ;)

Find a solution here (I'm only building for Fedora 27, since I can't test anything else):
https://build.opensuse.org/project/show ... ner_vienna

Long story:
I've done a quick analysis of the problem and it seems the OLA guys are
calling static initializer functions manually. However these functions have
been renamed/removed. Anyways I believe these calls are not
needed, so I simply removed them. I will discuss the solution in their
issue tracker (I'll prepare a PR for them).

After that change OLA builds locally on my machine, so I just had
to register for OBS and learn how to use it. I took your spec files
for OLA and QLC+ and (after some failing attempts) was able to
build the RPMs. QLC+ starts fine and I can see all plugins.
I was able to control a LED Mini Par with a uDMX controller.

Feel free to reuse the patch.

And thank's for developing QLC+.

Post Reply